%define		status		stable
%define		pearname	File_Archive
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - manipulate easily the tar, gz, bz2 and zip files
Summary(pl.UTF-8):	%{pearname} - łatwa obróbka plików tar, gz, bz2 i zip
Name:		php-pear-%{pearname}
Version:	1.5.5
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	be45b469695cb61e477af1a68c6357f3
Patch0:		%{pearname}-noimpl.patch
URL:		http://pear.php.net/package/File_Archive/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.3.0
Requires:	php(pcre)
Requires:	php(zlib)
Requires:	php-pear
Requires:	php-pear-MIME_Type
Suggests:	php(bz2)
Suggests:	php-pear-Cache_Lite
Suggests:	php-pear-Mail
Suggests:	php-pear-Mail_Mime
Obsoletes:	php-pear-File_Archive-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Mail/Mime.*) pear(Mail.*) pear(Cache/Lite.*)

%description
This library is strongly object oriented. It makes it very easy to
use, writing simple code, yet the library is very powerfull.

File_Archive is made of two objects : readers and writers. Are
currently implemented readers from file, directory, tar, gz, zip and
bzip2 archives.

You can write to file(s), send mails with files attached, or create
tar, gz, zip, bzip2 archives.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ta biblioteka jest silnie zorientowana obiektowo. Dzięki temu jest
łatwa w użycia, pozwala na pisanie prostego kodu, przy czym ma duże
możliwości.

File_Archive składa się z dwóch obiektów: reader i writer. Odczyt
możliwy jest z pliku, katalogu i archiwów tar, gz, zip i bzip2.

Zapis możliwy jest do pliku(ów), jako załącznik do listu lub do
archiwów tar, gz, zip bądź bzip2.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1

mv .%{php_pear_dir}/data/File_Archive/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log README docs/%{pearname}/doc/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/*.php
%{php_pear_dir}/File/Archive
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> b32e0c8
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sun Aug 19 2012 Elan Ruusamäe <glen@delfi.ee> e0ed40c
- up to 1.5.5

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 89f214d
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> c9d928c
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f6f2a78
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 4b6d3c9
- updated deps with pearize.sh
- release 2

* Sat Jun 07 2008 Adam Gołębiowski <adamg@pld-linux.org> 94cb10a
- updated to 1.5.4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 4f8e728
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ddf4148
- integer rel

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 64ed2e5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a7efde0
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 99a2a31
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> db97bb3
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 6531cfa
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 1cacbdf
- group Development/Languages/PHP for -tests

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> c2aa90c
- pearize

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7f0ae28
- define Epoch to 0 explicitly when using it

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> e1e46e0
- new pear packaging

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> b7c375f
- remove not implementated portion which creates bogus dep

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> 71919c5
- updated to 1.5.3

